Package org.apache.lucene.document

## Enum StoredValue.Type

- java.lang.Object
- - java.lang.Enum<StoredValue.Type>
  - - org.apache.lucene.document.StoredValue.Type

- All Implemented Interfaces:
    `Serializable`, `Comparable<StoredValue.Type>`
  Enclosing class:
    StoredValue

      public static enum StoredValue.Type
      extends Enum<StoredValue.Type>

  Type of a `StoredValue`.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `BINARY` | Type of binary values.
    `DOUBLE` | Type of double values.
    `FLOAT` | Type of float values.
    `INTEGER` | Type of integer values.
    `LONG` | Type of long values.
    `STRING` | Type of string values.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static StoredValue.Type` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static StoredValue.Type[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### INTEGER

          public static final StoredValue.Type INTEGER

      Type of integer values.

    - #### LONG

          public static final StoredValue.Type LONG

      Type of long values.

    - #### FLOAT

          public static final StoredValue.Type FLOAT

      Type of float values.

    - #### DOUBLE

          public static final StoredValue.Type DOUBLE

      Type of double values.

    - #### BINARY

          public static final StoredValue.Type BINARY

      Type of binary values.

    - #### STRING

          public static final StoredValue.Type STRING

      Type of string values.

  - ### Method Detail

    - #### values

          public static StoredValue.Type[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (StoredValue.Type c : StoredValue.Type.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static StoredValue.Type valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null